<html>
<head>
<title>OGRE: Ogre::Font::GlyphInfo Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Font.html">Font</a>::<a class="el" href="structOgre_1_1Font_1_1GlyphInfo.html">GlyphInfo</a></div>
<h1>Ogre::Font::GlyphInfo Struct Reference</h1><!-- doxytag: class="Ogre::Font::GlyphInfo" -->Information about the position and size of a glyph in a texture.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreFont_8h-source.html">OgreFont.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1Font_1_1GlyphInfo-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Font_1_1GlyphInfo.html#8a6e99cee590d9723af63ac4a6db8849">GlyphInfo</a> (<a class="el" href="classOgre_1_1Font.html#d48cf05dd479e7c8f1d7a97221d933b1">CodePoint</a> id, const <a class="el" href="structOgre_1_1TRect.html">UVRect</a> &amp;rect, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> aspect)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Font.html#d48cf05dd479e7c8f1d7a97221d933b1">CodePoint</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Font_1_1GlyphInfo.html#5df1a038d81fcf018ea7f5aac3181a62">codePoint</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structOgre_1_1TRect.html">UVRect</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Font_1_1GlyphInfo.html#46b20f8f199e3d2f698aa44a6553ab50">uvRect</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Font_1_1GlyphInfo.html#4eec8222d9985bb3b15d886120fd1ae6">aspectRatio</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Information about the position and size of a glyph in a texture. 
<p>Definition at line <a class="el" href="OgreFont_8h-source.html#l00122">122</a> of file <a class="el" href="OgreFont_8h-source.html">OgreFont.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="8a6e99cee590d9723af63ac4a6db8849"></a><!-- doxytag: member="Ogre::Font::GlyphInfo::GlyphInfo" ref="8a6e99cee590d9723af63ac4a6db8849" args="(CodePoint id, const UVRect &amp;rect, Real aspect)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Font::GlyphInfo::GlyphInfo           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Font.html#d48cf05dd479e7c8f1d7a97221d933b1">CodePoint</a>&nbsp;</td>
          <td class="paramname"> <em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1TRect.html">UVRect</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rect</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>aspect</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreFont_8h-source.html#l00128">128</a> of file <a class="el" href="OgreFont_8h-source.html">OgreFont.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="5df1a038d81fcf018ea7f5aac3181a62"></a><!-- doxytag: member="Ogre::Font::GlyphInfo::codePoint" ref="5df1a038d81fcf018ea7f5aac3181a62" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Font.html#d48cf05dd479e7c8f1d7a97221d933b1">CodePoint</a> <a class="el" href="structOgre_1_1Font_1_1GlyphInfo.html#5df1a038d81fcf018ea7f5aac3181a62">Ogre::Font::GlyphInfo::codePoint</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreFont_8h-source.html#l00124">124</a> of file <a class="el" href="OgreFont_8h-source.html">OgreFont.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="46b20f8f199e3d2f698aa44a6553ab50"></a><!-- doxytag: member="Ogre::Font::GlyphInfo::uvRect" ref="46b20f8f199e3d2f698aa44a6553ab50" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TRect.html">UVRect</a> <a class="el" href="structOgre_1_1Font_1_1GlyphInfo.html#46b20f8f199e3d2f698aa44a6553ab50">Ogre::Font::GlyphInfo::uvRect</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreFont_8h-source.html#l00125">125</a> of file <a class="el" href="OgreFont_8h-source.html">OgreFont.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4eec8222d9985bb3b15d886120fd1ae6"></a><!-- doxytag: member="Ogre::Font::GlyphInfo::aspectRatio" ref="4eec8222d9985bb3b15d886120fd1ae6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Font_1_1GlyphInfo.html#4eec8222d9985bb3b15d886120fd1ae6">Ogre::Font::GlyphInfo::aspectRatio</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreFont_8h-source.html#l00126">126</a> of file <a class="el" href="OgreFont_8h-source.html">OgreFont.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreFont_8h-source.html">OgreFont.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:42 2008
</p>
</body>
</html>
